Subject: Re: broken bzr history

From: Juri Linkov <[email-masked]>
Date: Fri, 26 Feb 2010 12:09:03 +0200

>> Trying to see the reason why this line in `Info-index-next'
>> was changed last time:
>>
>>       (forward-line (1- (nth 3 (car Info-index-alternatives))))
>>
>> I typed `C-x v g' (vc-annotate) in info.el, and it displays:
>>
>>   49780.1.32 henrik. | (forward-line (1- (nth 3 (car Info-index-alternatives))))
>
> Looks like a bug in bzr.  With git blame it points to f4ed1f85:
>
> commit f4ed1f852b3fb7650178446ac53db773d9fd25d6
> Author: Juri Linkov <[email-masked]>
> Date:   Tue Apr 27 06:39:46 2004 +0000

Yes, I can confirm this is the correct commit.  In read-only CVS I see:

revision 1.393
date: 2004-04-27 09:39:46 +0300;  author: jurta;  state: Exp;  lines: +80 -42;
[...]
(Info-index-next): Decrement line number.

-- 
Juri Linkov
http://www.jurta.org/emacs/